Search Unity

  1. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice
  2. Ever participated in one our Game Jams? Want pointers on your project? Our Evangelists will be available on Friday to give feedback. Come share your games with us!
    Dismiss Notice

Scrolling Editor Unity 2018.2.2f1

Discussion in 'Linux Editor' started by PavleSan, Aug 11, 2018.

  1. PavleSan

    PavleSan

    Joined:
    Jul 2, 2018
    Posts:
    1
    Im trying to figure out this one,and Im not sure whats causing it.

    This is the issue thats happening:
    https://drive.google.com/file/d/1fqWUioxcrMcA3aj9_p6wm-wd9p-pizjg/view

    This seems to happen only on elementaryOS (both Loki 0.4.1 and Juno beta 5).
    Could it be some issue with DE or maybe Unity?

    Ive tested with my Arch rig with KDE and Gnome,and I cant reproduce it.
    Ive booted VM and tested it under vanilla Ubuntu (again with Gnome) and its not present.

    If someone knows what might be the issue and if its OS specific,do share you thoughts,as it would allow faster and easier fix for both devs of the OS and users!

    All the best!
     
    amarok-blue likes this.
  2. pedroaguiarsantos1

    pedroaguiarsantos1

    Joined:
    Jul 13, 2018
    Posts:
    4
    Having the exact same issue with Unity 2018.2.0f2 on Elementary OS 0.4.1 Loki. I haven't tested with newer versions of the Editor nor the OS. Maybe I'll just downgrade the Editor version, as former (2017) versions were running without those issues.
     
  3. splawplay

    splawplay

    Joined:
    Nov 9, 2017
    Posts:
    1
    confirmed, I also use elementary os loki and the same problem.
     
  4. poke1024

    poke1024

    Joined:
    May 30, 2015
    Posts:
    3
    Same here, Elementary OS Loki, Unity 2018.2.5f1.

    I can also confirm that it works fine with 2017.4.10f1.
     
    Last edited: Sep 2, 2018
  5. poke1024

    poke1024

    Joined:
    May 30, 2015
    Posts:
    3
    haverstack and amarok-blue like this.
  6. amarok-blue

    amarok-blue

    Joined:
    Jun 17, 2014
    Posts:
    79
  7. pedroaguiarsantos1

    pedroaguiarsantos1

    Joined:
    Jul 13, 2018
    Posts:
    4
  8. pedroaguiarsantos1

    pedroaguiarsantos1

    Joined:
    Jul 13, 2018
    Posts:
    4
    I have to mention that everything that opens the OS's native file browser is not working.
     
  9. geop0p3

    geop0p3

    Joined:
    Sep 11, 2017
    Posts:
    1
    It fixes but as pedroaguiarsantos1 said, it won't open native file browser.
     
  10. GenaSG

    GenaSG

    Joined:
    Apr 19, 2014
    Posts:
    104
    Doesn't work for me when using UnityHub. I start unity from folder with GTK_CSD=0 but it starts UnityHub. And Unity from UnityHub starts with GTK_CSD=1. Maybe someone knows how to edit variables that UnityHub pass to Unity?
    P.S. I'm testing it on Elementary os 5.0.
     
  11. ccegeadamcc

    ccegeadamcc

    Joined:
    Nov 19, 2015
    Posts:
    2
    Try this

    Code (CSharp):
    1. GTK_CSD=0 /path/to/Unity/Editor/Unity./Unity -projectPath /path/to/Project/File/Root
     
    Jasperle, amarok-blue and GenaSG like this.
  12. GenaSG

    GenaSG

    Joined:
    Apr 19, 2014
    Posts:
    104
    This one works. Thank you. So the only issue left is open/save files dialog not showing up but I can leave with it.
    Edit:
    Answering my own question.
    Adding GTK_MODULES=gail:atk-bridge solves the issue with file chooser.
    I hope that’s the last bonus issue with Unity on elementary os and linux in general.
     
    Last edited: Sep 5, 2019
  13. iKazine

    iKazine

    Joined:
    Jan 3, 2018
    Posts:
    5
    Doesn't seem to be an issue with the DE. Using Fedora with KDE Plasma 5.15.5 and cannot scroll. Solutions given do not work since KDE isn't using GTK and instead uses Qt.

    Using Editor 2019.2.3f1.
     
  14. nitrofurano

    nitrofurano

    Joined:
    Jun 7, 2019
    Posts:
    92
    i can't have whatever 2018 running at all - is it caused by some missing or incompatible library in the system?
     
  15. anhelstrauke

    anhelstrauke

    Joined:
    Apr 17, 2019
    Posts:
    3
    Oh, works like a charm with Unity 2019.2.15 on my elementary OS 5.1 Hera! Thanks alot!
     
    Jasperle likes this.
  16. Jasperle

    Jasperle

    Joined:
    Jul 16, 2015
    Posts:
    4
    Thank you :) No i have this Problem that pops up while unity is loading;

    Screenshot from 2019-12-14 12.33.15.png

    I installed the needed unity versions via the hub which i got over the elementary os app center.
    And via the hub i activated a free license~

    i also tested other commands to "log in"to my account via the terminal but -batchmode -username & -password or -force-free does not work https://docs.unity3d.com/Manual/Com...51.779527264.1576248360-1663354835.1575454830

    ####
    Got it working via the manual activation Process by generating a request key in the hub
    going to the manual activation website and generating a key

    after downloading the activation key you can use (or i used, i dont know if i need the GTK command :D)

    GTK_CSD=0 /Path/To/Your/Unity/Version' -batchmode -manualLicenseFile '/Path/To/Your/Unity/License.ulf'




    Greetings,
    Jass
     
    Last edited: Dec 14, 2019
    mohammadgarous likes this.
  17. mohammadgarous

    mohammadgarous

    Joined:
    May 13, 2019
    Posts:
    4

    please help me more and save my life bro how change GTK_CSD=0 in 2019.4 ?? where write command i install hub from flathub :(
     
unityunity